<?php
  define('H', $_SERVER['DOCUMENT_ROOT'].'/');
   foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) 
   require H.'sys/inc/'.$inc.'.php';

     $set['title'] = 'Ленейка [5-VIP]';
	   require H.'sys/inc/thead.php';
	   title().aut().only_reg();

  $avatar = mysql_fetch_array(mysql_query("SELECT id FROM `gallery_foto` WHERE `id_user` = '$user[id]' AND `avatar` = '1' LIMIT 1"));
  $len = mysql_result(mysql_query("SELECT COUNT(*) FROM `lineykavip` WHERE `id_user` = '$user[id]' LIMIT 1"), 0);
  $qE = mysql_query("SELECT * FROM `lineykavip` ORDER BY `id` DESC");
//--------------------------------------------

if (empty($avatar))
 {
?>
 <div class='mess'>Установите аватар!</div>
<?
 } elseif ($user['balls'] < 500)
 {
?>
 <div class='mess'>У вас <?= $user['balls'] ?>б.! Не хвотает   <b><?= abs($user['balls']-500) ?></b>б. :(</div>
<?
 } elseif ($len == 1)
 {
?>
 <div class='mess'>Вы уже в линейке :)</div>
<?
 }


if (empty($avatar) || ($user['balls'] < 500) || ($len == 1))
{
 require H.'sys/inc/tfoot.php';
 exit;
}

?>
 <div class="foot">
   <img src="/style/icons/str2.gif" alt="S" /> <a href="/user/money/">Дополнительные услуги</a> | <b>Ленейка</b>
 </div>
<?


//--------------------------------------------     


if (isset($_GET['ok']))
{
     mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-500)."' WHERE `id` = '$user[id]' LIMIT 1");
     mysql_query("DELETE FROM `lineykavip` WHERE `id_user` = '$user[id]'");
     mysql_query("INSERT INTO `lineykavip` (`id_user`, `time`, `nomer`) values('$user[id]', '".time()."', '1')");

  // Велосипед от KoSmo
while ($line = mysql_fetch_assoc($qE))
 {
   mysql_query("UPDATE `lineykavip` SET `nomer` = '".($line['nomer']+1)."' WHERE `id_user` = '$line[id_user]' LIMIT 1");
   mysql_query("DELETE FROM `lineykavip` WHERE `nomer` = '6'");
 }
     $_SESSION['message'] = 'Поздравляем, вы успешно подключили услугу';
     header('Location: ?');
}



?>
 <div class='mess'>
  Стоимость: <b>500</b>б.<br />
  Ваша анкета будет на главной странице до тех пор пока другие пользователи не сдвинут линейку :)
 </div>
 <div class='mess'>
  :: <a href='?ok'>Купить (500б.)</a>
 </div>
 
 <div class="foot">
   <img src="/style/icons/str2.gif" alt="S" /> <a href="/user/money/">Дополнительные услуги</a> | <b>Ленейка</b>
 </div>
<?
   require H.'sys/inc/tfoot.php';